## lxcfs 0.1

=== debian/changelog ===
lxcfs (0.1-0ubuntu1) vivid; urgency=low

  * Initial release.
  * Cherry-pick testsuite bugfix from upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 12 Jan 2015 15:07:20 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools_dev --with autoreconf

override_dh_autoreconf:
	[ -e m4 ] || mkdir m4
	dh_autoreconf

=== debian/tests/control ===
Tests: exercise
Depends: lxcfs, @
Restrictions: needs-root allow-stderr

## lxcfs 0.2

=== debian/changelog ===
lxcfs (0.2-0ubuntu1) vivid; urgency=medium

  * New upstream release (0.2):
    - Add a LXC hook and config snippet
    - Fix the testsuite

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 20 Jan 2015 15:17:21 -0500

lxcfs (0.1-0ubuntu3) vivid; urgency=medium

  * Fix the upstart and systemd init scripts. (LP: #1410666)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 14 Jan 2015 10:29:28 -0500

lxcfs (0.1-0ubuntu2) vivid; urgency=medium

  * Add test dependency on lxc.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Jan 2015 10:28:12 -0500

## lxcfs 5.0.0

=== meson_options.txt ===
# -*- mode: meson -*-

option('tests', type : 'boolean', value: 'false',
       description : 'enable tests')

option('runtime-path', type : 'string', value : '/run',
       description : 'the runtime directory')

option('with-init-script', type : 'string', value : 'systemd',
       description : 'the runtime directory')

option('init-script', type : 'combo',
       choices : ['systemd', 'sysvinit', 'openrc', 'upstart'], value : 'systemd',
       description : 'init script')

## lxcfs 0.3

=== debian/changelog ===
lxcfs (0.3-0ubuntu1) vivid; urgency=medium

  * New upstream release (0.3):
    - Fix LXC configuration file location

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Jan 2015 11:21:01 -0500

=== debian/control ===
Source: lxcfs
Section: admin
Priority: optional
Maintainer: Stéphane Graber <stgraber@ubuntu.com>
Build-Depends:
        autotools-dev,
        debhelper (>= 9),
        dh-autoreconf,
        dh-systemd,
        help2man,
        libcgmanager-dev,
        libfuse-dev,
        pkg-config,
Standards-Version: 3.9.5
Homepage: https://linuxcontainers.org/lxcfs
XS-Testsuite: autopkgtest

Package: lxcfs
Architecture: any
Depends: cgmanager, ${shlibs:Depends}, ${misc:Depends}
Description: FUSE based filesystem for LXC
 LXCFS provides a FUSE based filesystem to improve the LXC experience
 within the containers.
 .
 This filesystem offers both a cgroupfs-like view for use by
 unprivileged containers which wouldn't otherwise be allowed to mount
 cgroupfs. And a set of files that are meant to be bind-mounted over
 their /proc equivalent to make them cgroup-aware.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://linuxcontainers.org/lxcfs/downloads/ /downloads/lxcfs/lxcfs-(.*)\.tar\.gz

## lxcfs 0.4

=== debian/changelog ===
lxcfs (0.4-0ubuntu1) vivid; urgency=medium

  * New upstream release (0.4):
    - Fix a critical bug where the host's /proc could be replaced by the
      container's on systems where / is mounted rshared (default with systemd).

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 23 Jan 2015 13:54:25 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
         libfuse-dev,
         pkg-config,
 Standards-Version: 3.9.5
-Homepage: https://linuxcontainers.org/lxcfs
+Homepage: https://linuxcontainers.org
+Vcs-Git: git://github.com/lxc/lxcfs-pkg-ubuntu
+Vcs-Browser: https://github.com/lxc/lxcfs-pkg-ubuntu
 XS-Testsuite: autopkgtest
 
 Package: lxcfs

## lxcfs 0.5

=== debian/changelog ===
lxcfs (0.5-0ubuntu3) vivid; urgency=medium

  * Add the symlink check to the sysvinit script.
  * Don't start lxcfs if /var/lib/lxcfs/proc exists as that typically
    means we've had it bind-mounted from the host.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Feb 2015 13:42:51 -0500

lxcfs (0.5-0ubuntu2) vivid; urgency=medium

  * debian/lxcfs.service: Drop seddery of /etc/mtab, which turns /etc/mtab
    into a file. Under systemd, /etc/mtab is always a symlink to /proc/mounts.
    (LP: #1419623)
  * debian/lxcfs.upstart: Don't sed /etc/mtab if it is a symlink, to avoid
    reverting it back to a file if it was changed to be a symlink.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Feb 2015 10:41:57 +0100

lxcfs (0.5-0ubuntu1) vivid; urgency=medium

  * New upstream release (0.5):
    - Fix LXC hook to stop messing with /etc/mtab
    - Fix LXC hook to succeed even if /proc and /sys aren't mounted
    - Update configure.ac to properly detect the cgmanager version
  * Update init scripts to properly cleanup on crashes.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Jan 2015 17:09:11 +0100

## lxcfs 0.6

=== debian/changelog ===
lxcfs (0.6-0ubuntu3) vivid; urgency=medium

  * Catch a nih_local which was not initialized to NULL (causing occasional
    SEGVs)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 02 Apr 2015 20:31:29 -0500

lxcfs (0.6-0ubuntu2) vivid; urgency=medium

  * Cherry-pick testcase fix from upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Feb 2015 23:44:24 -0500

lxcfs (0.6-0ubuntu1) vivid; urgency=medium

  * New upstream release (0.6):
    - Fix cleanup for several function (missing close/free)
    - Fix cpu-average in /proc/stat

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Feb 2015 23:14:16 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with autotools_dev --with autoreconf
+	dh $@  --with autotools_dev --with autoreconf --with systemd
 
 override_dh_autoreconf:
 	[ -e m4 ] || mkdir m4

## lxcfs 0.7

=== debian/changelog ===
lxcfs (0.7-0ubuntu2) vivid; urgency=medium

  * Cherry-pick a fix to the LXC hook.
    - Fixes problems with checkpoint/restore due to double-mounting
      /sys/fs/cgroup
    - Respect the container's configuration by skipping lxcfs if
      /sys/fs/cgroup isn't writable.
    - Skip the cgmanager handling code as that was only applicable if we
      were starting from a clean tmpfs.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Apr 2015 16:21:01 -0400

lxcfs (0.7-0ubuntu1) vivid; urgency=medium

  * Upstream release 0.7, which has fixes for handling crashed children
    and in particular for working around a glibc fork bug
    (https://sourceware.org/bugzilla/show_bug.cgi?id=15392)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 03 Apr 2015 15:20:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: Stéphane Graber <stgraber@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
         autotools-dev,
         debhelper (>= 9),

## lxcfs 0.10

=== debian/changelog ===
lxcfs (0.10-0ubuntu2.3) wily-proposed; urgency=medium

  * On upgrade, ask admin to reboot rather than restarting (LP: #1518117)
  * debian/tests/exercise: Make test_confinement.sh executable
  * Prune init slice in caller_may_see_dir() check.  (LP: #1519079)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 25 Nov 2015 12:20:53 -0600

lxcfs (0.10-0ubuntu2.2) wily-proposed; urgency=medium

  * Fix container reboot with systemd >= 226. (LP: #1514690)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 18 Nov 2015 14:39:19 -0600

lxcfs (0.10-0ubuntu2.1) wily-security; urgency=medium

  * SECURITY UPDATE: does not properly enforce directory escapes
    (LP: #1508481)
    - debian/patches/0002-fix-checking-of-parent-dirs.patch: Ensure that a
      task under cgroup /a/b cannot mkdir, rmdir, or modify files under,
      directories not under /a/b. Add a testcase for this.
    - CVE-2015-1342
  * SECURITY UPDATE: lack of privilege checking in do_write_pids
    (LP: #1512854)
    - debian/patches/0002-Fix-movepid-cve.patch: Fix missing privilege
      check when moving pids to a new cgroup.
    - CVE-2015-1344

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Nov 2015 07:19:02 -0500

lxcfs (0.10-0ubuntu2) wily; urgency=medium

  * Allow systemd to escape its custom cgroup.  (LP: #1497420)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 15 Oct 2015 08:56:13 -0500

lxcfs (0.10-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release:
    - Detect libnih threading support and use when available.
    - Fix threading issues related to DBus.
    - Handle missing memory cgroup.
    - Turn off threading globally because of problems with libdbus.
    - Tweak lxcfs mounts to better accomodate systemd.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Sep 2015 19:37:01 -0400

lxcfs (0.9-0ubuntu3) wily; urgency=medium

  * Update the lxc mount hook to offer a mount per co-mounted controller.
    (LP: #1491557)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 02 Sep 2015 11:40:53 -0500

lxcfs (0.9-0ubuntu1) wily; urgency=medium

  * New upstream release avoiding fuse 'too many bytes' read errors
  * Drop now-unneeded fuse arguments from the init scripts.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 08 May 2015 19:56:14 -0500

lxcfs (0.8-0ubuntu1) wily; urgency=medium

  * New upstream release.
    - drop upstream patches
    - fixes lxcfs.1 (LP: #1452578)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 07 May 2015 14:47:12 -0500

lxcfs (0.7-0ubuntu4) vivid; urgency=medium

  * Add some more sanity checks (LP: #1413405)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 20 Apr 2015 08:42:18 -0500

lxcfs (0.7-0ubuntu3) vivid; urgency=medium

  * 0002-Make-sure-that-that-cgroup-and-the-controller-are-se.patch: when
    looking a controller under /cgroup, make sure that '/' separates them,
    so that '/cgroup@freezer' is not a valid path.  (LP: #1413405)
  * 0003-free-d-at-program-end.patch: free the lxcfs_state before exiting.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 19 Apr 2015 08:44:06 -0500

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,16 @@
 %:
 	dh $@  --with autotools_dev --with autoreconf --with systemd
 
+override_dh_installinit:
+	dh_installinit --no-restart-on-upgrade
+
+override_dh_systemd_start:
+	dh_systemd_start --no-restart-on-upgrade lxcfs.service
+
 override_dh_autoreconf:
 	[ -e m4 ] || mkdir m4
 	dh_autoreconf
+
+clean:
+	dh_autoreconf_clean
+	dh_clean

## lxcfs 2.0.0

=== debian/changelog ===
lxcfs (2.0.0-0ubuntu2) xenial; urgency=medium

  * Cherrypick upstream patches to fix cpuinfo on s390x. (LP: #1564831)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 04 Apr 2016 11:11:27 -0500

lxcfs (2.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release - no changes from last rc.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 31 Mar 2016 13:28:45 -0500

lxcfs (2.0.0~rc9-0ubuntu1) xenial; urgency=medium

  * Merge next upstream release candidate.
  * This includes a guard against multiple releases of the same fuse file
    info object, to hopefully prevent crashes found very occasionally on
    very busy servers.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 29 Mar 2016 14:00:40 -0500

lxcfs (2.0.0~rc8-0ubuntu1) xenial; urgency=medium

  * Merge 2.0.0.rc8, which implements access(2) needed by lxc.
    (LP: #1560120)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 21 Mar 2016 21:08:18 -0700

lxcfs (2.0.0~rc6-0ubuntu3) xenial; urgency=medium

  * Don't call mountpoint when we already know it's a mount point.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 20 Mar 2016 11:03:20 -0400

lxcfs (2.0.0~rc6-0ubuntu2) xenial; urgency=medium

  * Cherry-pick tentative upstream fix for the mount hook. (LP: #1559169)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 18 Mar 2016 23:29:21 -0400

lxcfs (2.0.0~rc6-0ubuntu1) xenial; urgency=medium

  * Merge next upstream rc
  * This handles the same case as the previous release, but in 14.04
    desktops, where a different cgroup name template is used.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 17 Mar 2016 14:53:21 -0700

lxcfs (2.0.0~rc5-0ubuntu1) xenial; urgency=medium

  * Merge next upstream rc
  * This fixes a bug where sudo would mis-chown a user's systemd cgroup
    (LP: #1556447)
  * Drop upstream paches which are in this rc

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 14 Mar 2016 16:09:50 -0700

lxcfs (2.0.0~rc4-0ubuntu1) xenial; urgency=medium

  * Merge next upstream release candidate
  * switch to the upstream init scripts
  * Cherrypick upstream patch to not put systemd config files under /usr.
  * Cherrypick upstream patch to install sysvinit job

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 11 Mar 2016 22:32:28 -0800

lxcfs (2.0.0~rc3-0ubuntu1) xenial; urgency=medium

  * Merge upstream release candidate, including fixes for missing lxcfs
    proc files in some containers.
  * pam config: run in noninteractive sessions as well (LP: #1554269)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 07 Mar 2016 16:22:18 -0800

lxcfs (2.0.0~rc2-0ubuntu2) xenial; urgency=medium

  * postinst: don't fail if lxcfs.pid was wrong causing kill -USR1 to fail.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 04 Mar 2016 20:01:51 -0800

lxcfs (2.0.0~rc2-0ubuntu1) xenial; urgency=medium

  * Merge second upstream release candidate.  No meaningful changes from beta2.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 24 Feb 2016 13:38:28 -0800

lxcfs (2.0.0~beta2-0ubuntu1) xenial; urgency=medium

  * Merge upstrea 2.0.0.beta2
  * Includes a fix for libpam-lxcfs hanging when there are unmounted
    controllers (making logins impossible).

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 19 Feb 2016 12:47:07 -0800

lxcfs (2.0.0~beta1-0ubuntu1) xenial; urgency=medium

  * Merge upstrea 2.0.0.beta1
  * debian/pam-cgfs.config: add name=systemd to the controller list.
  * debian/tests/exercise: set cpuset clone_children to 1 before running tests.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 09 Feb 2016 23:01:51 -0800

lxcfs (0.18-0ubuntu2) xenial; urgency=medium

  * Merge upstream patches to place liblxcfs.so into lxcfs package
    - drop liblxfs0 (luckily that was never published past -proposed)
    - debian/rules: copy the built liblxcfs.so into /usr/lib/lxcfs
  * Merge upstream fixes from w.bumiller.
  * Add memory to the list of cgroups always granted to the user.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 08 Feb 2016 13:19:49 -0800

lxcfs (0.18-0ubuntu1) xenial; urgency=medium

  * Merge new upstream release
  * Add liblxcfs0 package
  * Add postinst code to send USR1 to lxcfs to ask it reload liblxcfs.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 07 Feb 2016 23:19:36 -0800

lxcfs (0.17-0ubuntu3) xenial; urgency=medium

  * Switch typos in prerm and README.Debian switching between cgfs and
    cgm (LP: #1540058)
  * Add dependency on systemd | cgroup-lite

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 31 Jan 2016 15:10:27 +0100

lxcfs (0.17-0ubuntu2) xenial; urgency=medium

  * Update tests to reflect new lxcfs proc virtualization behavior.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 28 Jan 2016 14:55:14 +0100

lxcfs (0.17-0ubuntu1) xenial; urgency=medium

  * Merge upstream release 0.17
  * Add new libpam-cgfs package  (LP: #1538385)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 26 Jan 2016 18:40:55 -0800

lxcfs (0.15-0ubuntu2) xenial; urgency=medium

  * Cherrypick two upstream allocation bugfix patches.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 08 Jan 2016 12:47:18 -0800

lxcfs (0.15-0ubuntu1) xenial; urgency=medium

  * Merge new upstream release fixing memory allocation.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 07 Jan 2016 17:58:23 -0800

lxcfs (0.14-0ubuntu1) xenial; urgency=medium

  * Merge new upstream release.  Drop all patches (which were all cherrypicked
    from upstream).

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 07 Jan 2016 16:03:40 -0800

lxcfs (0.13-0ubuntu6) xenial; urgency=medium

  * 0002-uptime-fix-pid1-and-reaper_busy-times.patch: fix uptime always
    reading 0.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 17 Dec 2015 09:45:34 -0800

lxcfs (0.13-0ubuntu5) xenial; urgency=medium

  * d/tests/exercise: run debian/rules build before 'make tests'

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 07 Dec 2015 19:54:10 -0600

lxcfs (0.13-0ubuntu4) xenial; urgency=medium

  * Fix ftbfs due to testing:


=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
         dh-autoreconf,
         dh-systemd,
         help2man,
-        libcgmanager-dev,
+        libattr1-dev,
+        libpam0g-dev,
         libfuse-dev,
         pkg-config,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://linuxcontainers.org
 Vcs-Git: git://github.com/lxc/lxcfs-pkg-ubuntu
 Vcs-Browser: https://github.com/lxc/lxcfs-pkg-ubuntu
@@ -19,7 +20,7 @@
 
 Package: lxcfs
 Architecture: any
-Depends: cgmanager, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
  within the containers.
@@ -28,3 +29,20 @@
  unprivileged containers which wouldn't otherwise be allowed to mount
  cgroupfs. And a set of files that are meant to be bind-mounted over
  their /proc equivalent to make them cgroup-aware.
+
+Package: libpam-cgfs
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libpam-runtime (>= 1.0.1-6),
+         systemd | cgroup-lite
+Conflicts: libpam-cgm
+Description: FUSE based filesystem for LXC
+ LXCFS provides a FUSE based filesystem to improve the LXC experience
+ within the containers.
+ .
+ This provides a Pluggable Authentication Module (PAM) to provide
+ logged-in users with a set of cgroups which they can administer.
+ This allows for instance unprivileged containers, and session
+ management using cgroup process tracking.

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,21 @@
 %:
 	dh $@  --with autotools_dev --with autoreconf --with systemd
 
+override_dh_install:
+	cp $(CURDIR)/debian/pam-cgfs.config \
+		$(CURDIR)/debian/libpam-cgfs/usr/share/pam-configs/cgfs
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/lxcfs
+	cp $(CURDIR)/debian/tmp/usr/lib/*/liblxcfs.so \
+		$(CURDIR)/debian/tmp/usr/lib/lxcfs
+	dh_install
+
 override_dh_installinit:
-	dh_installinit --no-restart-on-upgrade
+	cp debian/tmp/etc/init/lxcfs.conf debian/lxcfs.upstart
+	cp debian/tmp/etc/rc.d/init.d/lxcfs debian/lxcfs.init
+	dh_installinit -p lxcfs --no-restart-on-upgrade
 
 override_dh_systemd_start:
-	dh_systemd_start --no-restart-on-upgrade lxcfs.service
+	dh_systemd_start -p lxcfs --no-restart-on-upgrade lxcfs.service
 
 override_dh_autoreconf:
 	[ -e m4 ] || mkdir m4

=== debian/tests/control ===
Tests: exercise
Depends: lxcfs, lxc, @
Restrictions: needs-root allow-stderr

## lxcfs 2.0.1

=== debian/changelog ===
lxcfs (2.0.1-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Jun 2016 23:47:24 -0400

lxcfs (2.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (2.0.1):
    - Fix cpuinfo on s390x.
    - Use recursive cgroup values in diskstats.
    - Allow traversal (rx) to controller directories.
    - Fix do_mount_cgroups() crash on failure.
    - Better error handling in a number of path processing functions.
    - Better error handling in swap calculation.
  * Drop all patches, all included in the new upstream release.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 May 2016 17:26:30 -0400

lxcfs (2.0.0-3) unstable; urgency=medium

  [ Serge Hallyn ]
  * Add optional dependency on cgroupfs-mount

  [ Evgeni Golov ]
  * split fix-access-to-cgroup-directories.patch to match upstream commits
  * Cherrypick upstream patches to fix cpuinfo on s390x. (LP: #1564831)
  * require isolation-machine to run; the tests can't run under lxc themselves

 -- Evgeni Golov <evgeni@debian.org>  Thu, 28 Apr 2016 19:52:03 +0200

lxcfs (2.0.0-2) unstable; urgency=medium

  * update d/watch to properly mangle upstream beta and rc releases
  * Standards-Version: 3.9.8
  * drop alternative cgroup-lite dependency, we don't ship that in debian
  * lxcfs is only usable on Linux so mark the package as linux-any
  * add build-depends on linux-libc-dev
  * backport upstream patch for accessing cgroup dirs (Closes: #820428)

 -- Evgeni Golov <evgeni@debian.org>  Thu, 21 Apr 2016 22:44:48 +0200

lxcfs (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Set Maintainer to pkg-lxc, adnan and me as Uploaders

 -- Evgeni Golov <evgeni@debian.org>  Sun, 03 Apr 2016 15:20:20 +0200

lxcfs (2.0.0~rc8-1) unstable; urgency=medium

  * Initial Debian package release (closes: 775021)
  * Included fix for build failure due to broken link for "liblxcfs.so.0"

 -- Adnan Hodzic <adnan@hodzic.org>  Tue, 22 Mar 2016 18:34:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,25 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends:
-        autotools-dev,
-        debhelper (>= 9),
-        dh-autoreconf,
-        dh-systemd,
-        help2man,
-        libattr1-dev,
-        libpam0g-dev,
-        libfuse-dev,
-        pkg-config,
-Standards-Version: 3.9.6
+XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Uploaders: Adnan Hodzic <adnan@hodzic.org>, Evgeni Golov <evgeni@debian.org>
+Build-Depends: autotools-dev,
+               debhelper (>= 9),
+               dh-autoreconf,
+               dh-systemd,
+               help2man,
+               libattr1-dev,
+               libfuse-dev,
+               libpam0g-dev,
+               linux-libc-dev,
+               pkg-config
+Standards-Version: 3.9.8
 Homepage: https://linuxcontainers.org
-Vcs-Git: git://github.com/lxc/lxcfs-pkg-ubuntu
-Vcs-Browser: https://github.com/lxc/lxcfs-pkg-ubuntu
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
 
 Package: lxcfs
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
@@ -36,9 +37,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpam-runtime (>= 1.0.1-6),
-         systemd | cgroup-lite
+         systemd | cgroupfs-mount
 Conflicts: libpam-cgm
-Description: FUSE based filesystem for LXC
+Description: PAM module for managing cgroups for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
  within the containers.
  .

## lxcfs 2.0.2

=== debian/changelog ===
lxcfs (2.0.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 22 Jul 2016 20:52:38 +0200

lxcfs (2.0.2-1) unstable; urgency=medium

  * wrap too long changelog line
  * Imported Upstream version 2.0.2
  * drop patches, they are included in the new release
  * drop lintian-overrides, we do not need them anymore

 -- Evgeni Golov <evgeni@debian.org>  Sat, 16 Jul 2016 12:48:58 +0200

lxcfs (2.0.1-2) unstable; urgency=medium

  * libpam_cgfs: don't create new path if we are under
    /user.slice/user-$uid.slice
  * under_systemd_user_slice: work right when init is in '/'
  * The above two patches together: Closes: #826260

 -- Evgeni Golov <evgeni@debian.org>  Fri, 24 Jun 2016 21:46:36 +0200

lxcfs (2.0.1-1) unstable; urgency=medium

  * add gbp.conf
  * Imported Upstream version 2.0.1
  * drop all patches, they were all pulled from upstream

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 May 2016 22:06:28 +0200

lxcfs (2.0.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 05 May 2016 18:24:20 +0200

lxcfs (2.0.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 09 Apr 2016 11:36:49 +0200

## lxcfs 2.0.3

=== debian/changelog ===
lxcfs (2.0.3-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 03 Oct 2016 13:06:33 -0400

lxcfs (2.0.3-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.3) (LP: #1615109):
    - Skip empty entries under /proc/self/cgroup
    - Setup and use a minimal chroot and mount namespace for cgroup mounts
    - Code cleanup and minor refactoring
  * Cherry-pick upstream bugfix:
    - 0001-Fix-test_reload-for-lxcfs-chroot (fix autopkgtests)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 15 Aug 2016 23:46:39 -0400

lxcfs (2.0.2-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.2) (LP: #1597493):
    - Don't build pam/ when --with-pamdir=none
    - libpam_cgfs: Don't create new path if we are under
      /user.slice/user-$uid.slice
  * Update packaging to match Yakkety and Debian (no user visible change).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 Jun 2016 14:48:56 -0400

lxcfs (2.0.1-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.1) (LP: #1582889)
    - Fix cpuinfo on s390x.
    - Use recursive cgroup values in diskstats.
    - Allow traversal (rx) to controller directories.
    - Fix do_mount_cgroups() crash on failure.
    - Better error handling in a number of path processing functions.
    - Better error handling in swap calculation.
  * Drop all patches, all included in the new upstream release.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 May 2016 17:26:30 -0400

lxcfs (2.0.0-0ubuntu2.1) xenial-proposed; urgency=medium

  * Cherrypick two upstream patches to fix access() returning EINVAL for
    cgroup controller directories, which prevents booting certain systemd
    systems. (LP: #1574765)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 22 Apr 2016 18:02:18 -0500

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
+XS-Testsuite: autopkgtest
 
 Package: lxcfs
 Architecture: linux-any
@@ -37,7 +38,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpam-runtime (>= 1.0.1-6),
-         systemd | cgroupfs-mount
+         systemd | cgroup-lite
 Conflicts: libpam-cgm
 Description: PAM module for managing cgroups for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

=== debian/tests/control ===
Tests: exercise
Depends: lxcfs, lxc, @
Restrictions: needs-root allow-stderr isolation-machine

## lxcfs 2.0.4

=== debian/changelog ===
lxcfs (2.0.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 15 Oct 2016 12:22:33 +0200

lxcfs (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * drop patches from upstream
  * use @builddeps@ instead of apt-get build-dep
  * add Depends on lsb-base, thanks lintian

 -- Evgeni Golov <evgeni@debian.org>  Sat, 08 Oct 2016 14:29:11 +0200

lxcfs (2.0.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 23 Sep 2016 19:41:48 +0200

lxcfs (2.0.3-1) unstable; urgency=medium

  * Imported Upstream version 2.0.3
  * Cherry-pick upstream bugfix to fix autopkgtests
  * make autopkgtests work on Debian

 -- Evgeni Golov <evgeni@debian.org>  Thu, 25 Aug 2016 21:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Adnan Hodzic <adnan@hodzic.org>, Evgeni Golov <evgeni@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
@@ -18,11 +17,10 @@
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
-XS-Testsuite: autopkgtest
 
 Package: lxcfs
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
  within the containers.
@@ -38,7 +36,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpam-runtime (>= 1.0.1-6),
-         systemd | cgroup-lite
+         systemd | cgroupfs-mount
 Conflicts: libpam-cgm
 Description: PAM module for managing cgroups for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience

## lxcfs 2.0.5

=== debian/changelog ===
lxcfs (2.0.5-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * New upstream bugfix release (2.0.5)
  * No-change backport to trusty

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Dec 2016 22:34:39 -0500

lxcfs (2.0.5-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.5) (LP: #1647012):
    - Add Documentation key to systemd unit
    - bindings: allow getattr on O_WRONLY files
    - bindings: remove noop check
    - fix Active/Inactive /proc/meminfo
    - macro: add header for shared macros
    - pam_cgfs: reimplement and add cgroupfs v2 support
    - pam_cgfs: re-use cgroups that already belong to us
    - pam_cgfs: handle cgroupfs v1 cpuset controller
    - pam_cgfs: improve logging
    - cgroups: handle non-existent isolcpus file
  * Cherry-pick upstream bugfix:
    - tests: Fix run on ppc64el

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 23 Nov 2016 23:40:45 -0500

lxcfs (2.0.4-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.4) (LP: #1632140):
    - Fix test_reload for lxcfs chroot
    - Virtualize more of the meminfo fields
    - pam: fix race in cgroup creation
    - meminfo: don't show negative swapfree
    - bindings: improve debugging
    - bindings: use openat fd for fstatat(), unlinkat()
    - bindings: close open fds on error
    - bindings: grant access to /var/lib/lxcfs
    - bindings: enable access to /var/lib/lxcfs/cgroup
    - bindings: allow access to /var/lib/lxcfs/proc
    - lxcfs, bindings: show "." and ".." dir entries
    - lxcfs: better fs behavior on /var/lib/lxcfs
    - bindings: non functional changes
    - bindings: set errno in pick_controller_from_path()
    - bindings: more consistent fs behavior
    - add pld linux support
    - don't use argv[0] in usage output
    - bindings: revert cgroup check
    - bindings: improve returned errnos
    - bindings: make rmdir behave more consistently
    - libtool: do not link lxcfs against liblxcfs
    - bindings, lxcfs: improve debugging
    - bindings: fix debug macro
    - autotools: add -avoid-version
    - bindings: restore original working directory
    - bindings: add function to check fs type
    - bindings: agnostic naming
    - bindings: use chroot() on ramfs
    - bindings: fix type weirdness with statfs f_type
    - bindings: make pivot_enter() contain all its code
  * Drop all patches, now upstream
  * Cherry-pick from upstream:
    - 0001-Add-Documentation-key-to-systemd-unit.patch
  * Update linitan overrides

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 05 Oct 2016 14:25:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Adnan Hodzic <adnan@hodzic.org>, Evgeni Golov <evgeni@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
@@ -20,7 +21,7 @@
 
 Package: lxcfs
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
  within the containers.
@@ -36,7 +37,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpam-runtime (>= 1.0.1-6),
-         systemd | cgroupfs-mount
+         systemd | cgroup-lite
 Conflicts: libpam-cgm
 Description: PAM module for managing cgroups for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience

## lxcfs 2.0.6

=== debian/changelog ===
lxcfs (2.0.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 Mar 2017 15:05:46 +0100

lxcfs (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6

 -- Evgeni Golov <evgeni@debian.org>  Tue, 24 Jan 2017 12:38:18 +0100

lxcfs (2.0.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 03 Dec 2016 15:34:34 +0100

lxcfs (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5
  * drop installing libattr1-dev during tests, it's already installed as B-D
  * only reboot if the memory cgroup is not enabled yet
  * dynamically generate depends on a cgroup mounter depending on vendor

 -- Evgeni Golov <evgeni@debian.org>  Thu, 24 Nov 2016 08:30:55 +0100

## lxcfs 2.0.7

=== debian/changelog ===
lxcfs (2.0.7-1+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * debian/patches/revert-the-virtualization-of-btime-field.patch: New patch,
    reverts the uptime virtualiziation, fixing process start times, adopted
    from upstream commit 72dd97f7 (Closes: #885542).

 -- Michael Banck <michael.banck@credativ.de>  Tue, 09 Oct 2018 10:10:16 +0200

lxcfs (2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
    + virtualize the 'btime' field of /proc/stat
      LP: #1654310

 -- Evgeni Golov <evgeni@debian.org>  Sat, 20 May 2017 11:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lxcfs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Adnan Hodzic <adnan@hodzic.org>, Evgeni Golov <evgeni@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
@@ -21,7 +20,7 @@
 
 Package: lxcfs
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Description: FUSE based filesystem for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
  within the containers.
@@ -37,7 +36,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libpam-runtime (>= 1.0.1-6),
-         systemd | cgroup-lite
+         ${lxcfs:Depends}
 Conflicts: libpam-cgm
 Description: PAM module for managing cgroups for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+include /usr/share/dpkg/vendor.mk
+
+ifeq ($(DEB_VENDOR),Ubuntu)
+	LXCFS_DEPENDS="systemd | cgroup-lite | cgroupfs-mount"
+else
+	LXCFS_DEPENDS="systemd | cgroupfs-mount"
+endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -32,6 +40,9 @@
 	[ -e m4 ] || mkdir m4
 	dh_autoreconf
 
+override_dh_gencontrol:
+	dh_gencontrol -- -Vlxcfs:Depends=$(LXCFS_DEPENDS)
+
 clean:
 	dh_autoreconf_clean
 	dh_clean

## lxcfs 2.0.8

=== debian/changelog ===
lxcfs (2.0.8-1~bpo9+1) stretch-backports; urgency=medium

  * Team upload
  * Rebuild for stretch-backports.
  * This backport release is an alternative to 2.0.7-1 that has a couple of
    issues, and shouldn't have reached stable.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=867619 for more
    intel.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 17 Nov 2018 09:01:07 +0100

lxcfs (2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8
  * drop patches, all were applied upstream
  * use dh-systemd from debhelper, not the standalone package
  * lxcfs.so is now properly installed by the makefile
  * drop upstart support
  * Standards-Version: 4.1.1

 -- Evgeni Golov <evgeni@debian.org>  Sat, 21 Oct 2017 15:46:57 +0200

lxcfs (2.0.7-2) unstable; urgency=medium

  * import patches from the upstream stable branch
    + 0002-pam-report-back-we-found-the-unified-hierarchy.patch
      0003-bindings-add-mountpoint-for-unified-hierarchy.patch
      Closes: #843450
    + 0004-pam-chown-cgroup.procs-file-on-unified-hierarchy.patch
      Closes: #867619
    + 0005-bindings-calculate-uptime-via-proc-pid-stat.patch
      0006-bindings-calculate-btime-correctly.patch
      0007-tests-fix-invalid-comparison.patch
      0008-temporarily-revert-the-virtualization-of-btime-field.patch
      These have no Debian bugs, but improve the uptime and btime handling.
    + 0010-add-cgroupfs-mount-to-Should-Start-Stop-sysvinit-LSB.patch
      Closes: #859220
  * add 0001-pam-non-functional-changes, otherwise 0004 won't apply

 -- Evgeni Golov <evgeni@debian.org>  Sun, 16 Jul 2017 15:04:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Adnan Hodzic <adnan@hodzic.org>, Evgeni Golov <evgeni@debian.org>
 Build-Depends: autotools-dev,
-               debhelper (>= 9),
+               debhelper (>= 9.20160709),
                dh-autoreconf,
-               dh-systemd,
                help2man,
                libattr1-dev,
                libfuse-dev,
                libpam0g-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://linuxcontainers.org
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git

=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,9 @@
 override_dh_install:
 	cp $(CURDIR)/debian/pam-cgfs.config \
 		$(CURDIR)/debian/libpam-cgfs/usr/share/pam-configs/cgfs
-	mkdir -p $(CURDIR)/debian/tmp/usr/lib/lxcfs
-	cp $(CURDIR)/debian/tmp/usr/lib/*/liblxcfs.so \
-		$(CURDIR)/debian/tmp/usr/lib/lxcfs
 	dh_install
 
 override_dh_installinit:
-	cp debian/tmp/etc/init/lxcfs.conf debian/lxcfs.upstart
 	cp debian/tmp/etc/rc.d/init.d/lxcfs debian/lxcfs.init
 	dh_installinit -p lxcfs --no-restart-on-upgrade

## lxcfs 3.0.0

=== debian/changelog ===
lxcfs (3.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream LTS release:
    - LXCFS 3.0 will be supported until June 2023.
    - Announcement: https://linuxcontainers.org/lxcfs/news/

  * Drop all patches, now upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Mar 2018 23:25:21 -0400

lxcfs (3.0.0~beta1-0ubuntu2) bionic; urgency=medium

  * Cherry-pick fix for s390x autopkgtest.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2018 17:14:48 -0500

lxcfs (3.0.0~beta1-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta1)
  * Remove the libpam-cgfs package, now provided by the lxc source.
  * Bump standards to 4.1.3
    - Require debhelper >= 10
    - Bump compat to 10
    - Drop build-dependency on dh-autoreconf and autotools-dev
    - Use https URLs in copyright
    - Drop --with autotools_dev from rules
    - Update lintian overrides

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 Mar 2018 13:05:54 -0500

lxcfs (2.0.8-1ubuntu2) bionic; urgency=medium

  * Add symlink from /usr/lib/HOST-ARCH/lxcfs to /usr/lib/lxcfs.
    This is needed so that an already running lxcfs daemon can properly
    reload the internal lxcfs library on upgrade.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Nov 2017 16:47:15 -0500

lxcfs (2.0.8-1ubuntu1) bionic; urgency=medium

  * Re-sync with Debian, remaining delta (for backports):
    - Include upstart jobs on older Ubuntu releases
    - Build-depend on dh-systemd with older debootstrap

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 31 Oct 2017 18:40:42 -0400

=== debian/control ===
Source: lxcfs
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
Uploaders: Adnan Hodzic <adnan@hodzic.org>, Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 10),
               help2man,
               libattr1-dev,
               libfuse-dev,
               linux-libc-dev,
               pkg-config
Standards-Version: 4.1.3
Homepage: https://linuxcontainers.org
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git

Package: lxcfs
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: FUSE based filesystem for LXC
 LXCFS provides a FUSE based filesystem to improve the LXC experience
 within the containers.
 .
 This filesystem offers both a cgroupfs-like view for use by
 unprivileged containers which wouldn't otherwise be allowed to mount
 cgroupfs. And a set of files that are meant to be bind-mounted over
 their /proc equivalent to make them cgroup-aware.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-include /usr/share/dpkg/vendor.mk
+include /usr/share/dpkg/default.mk
 
 ifeq ($(DEB_VENDOR),Ubuntu)
 	LXCFS_DEPENDS="systemd | cgroup-lite | cgroupfs-mount"
@@ -18,14 +18,23 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with autotools_dev --with autoreconf --with systemd
+	dh $@ --with autoreconf --with systemd
+
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp/
 
 override_dh_install:
-	cp $(CURDIR)/debian/pam-cgfs.config \
-		$(CURDIR)/debian/libpam-cgfs/usr/share/pam-configs/cgfs
+	mkdir -p $(CURDIR)/debian/lxcfs/usr/lib/lxcfs
+	ln -s /usr/lib/${DEB_HOST_MULTIARCH}/lxcfs/liblxcfs.so $(CURDIR)/debian/lxcfs/usr/lib/lxcfs/
 	dh_install
 
 override_dh_installinit:
+ifeq (,$(findstring $(DEB_DISTRIBUTION), trusty xenial))
+	rm -f debian/tmp/etc/init/lxcfs.conf
+	echo 'rm_conffile /etc/init/lxcfs.conf 2.0.7-0ubuntu5~' >> debian/lxcfs.maintscript
+else
+	cp debian/tmp/etc/init/lxcfs.conf debian/lxcfs.upstart
+endif
 	cp debian/tmp/etc/rc.d/init.d/lxcfs debian/lxcfs.init
 	dh_installinit -p lxcfs --no-restart-on-upgrade

## lxcfs 3.0.2

=== debian/changelog ===
lxcfs (3.0.2-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (LP: #1788232):
    - travis: add coverity support
    - travis: fix .travis.yml
    - meminfo: read shmem from cgroup parameter memory.stat
    - meminfo: set ShmemHugePages and ShmemPmdMapped to zero
    - bindings: better logging for write_string()
  * Update to new standard (4.2.0)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 21 Aug 2018 11:44:01 -0400

lxcfs (3.0.1-0ubuntu2) cosmic; urgency=medium

  * debian/rules: Update dh_systemd calls to prevent any service restart.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 16 Jun 2018 18:13:41 -0400

lxcfs (3.0.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release:
    - Add support for the nonempty FUSE mount option
  * Update to new standard (4.1.4)
    - Remove deprecated VCS URLs

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Jun 2018 15:56:09 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,8 @@
                libfuse-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://linuxcontainers.org
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxc/lxcfs.git
 
 Package: lxcfs
 Architecture: linux-any

## lxcfs 3.0.3

=== debian/changelog ===
lxcfs (3.0.3-2) unstable; urgency=medium

  * Add a call to dpkg-maintscript-helper rm_conffile to handle properly the
    removal of /etc/init/lxcfs.conf (Closes: #914082)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 09 Dec 2018 22:06:41 +0100

lxcfs (3.0.3-1) unstable; urgency=medium

  * New upstream release: 3.0.3
  * d/changelog: Add myself to uploaders
  * Release to unstable

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 04 Dec 2018 08:17:32 +0100

lxcfs (3.0.2-1~exp+1) experimental; urgency=medium

  * Team upload.
  * New upstream release 3.0.2
    - Dropped libpam-cgfs, as it's included in src:lxc now.
  * d/rules:
    - Tidy up the rules according to the new dh compat level
  * d/compat bumped to 11
  * d/control:
    - Raised dh dependency level to 11
    - Update VCS links
    - Bump Standards-Version to 4.2.1
  * d/copyright:
    - Use HTTPS Format: URL
    - Updated dated
  * d/upstream/signing-key.asc updated

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 17 Nov 2018 09:44:35 +0100

=== debian/control ===
Source: lxcfs
Section: admin
Priority: optional
Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
Uploaders: Adnan Hodzic <adnan@hodzic.org>,
           Evgeni Golov <evgeni@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper (>= 11~),
               help2man,
               libattr1-dev,
               libfuse-dev,
               linux-libc-dev,
               pkg-config
Standards-Version: 4.2.1
Homepage: https://linuxcontainers.org
Vcs-Git: https://salsa.debian.org/lxc-team/lxcfs.git
Vcs-Browser: https://salsa.debian.org/lxc-team/lxcfs

Package: lxcfs
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Description: FUSE based filesystem for LXC
 LXCFS provides a FUSE based filesystem to improve the LXC experience
 within the containers.
 .
 This filesystem offers both a cgroupfs-like view for use by
 unprivileged containers which wouldn't otherwise be allowed to mount
 cgroupfs. And a set of files that are meant to be bind-mounted over
 their /proc equivalent to make them cgroup-aware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/vendor.mk

ifeq ($(DEB_VENDOR),Ubuntu)
	LXCFS_DEPENDS="systemd | cgroup-lite | cgroupfs-mount"
else
	LXCFS_DEPENDS="systemd | cgroupfs-mount"
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install
	find debian/lxcfs -type f -name '*.la' -delete
	rm -rf debian/lxcfs/etc/init

override_dh_installinit:
	mv debian/lxcfs/etc/rc.d/init.d/lxcfs debian/lxcfs.init
	ls -alR debian/lxcfs/etc/rc.d
	rm -rf debian/lxcfs/etc/rc.d
	dh_installinit -p lxcfs --no-restart-on-upgrade

override_dh_installsystemd:
	dh_installsystemd -p lxcfs --no-restart-on-upgrade lxcfs.service

override_dh_autoreconf:
	[ -e m4 ] || mkdir m4
	dh_autoreconf

override_dh_gencontrol:
	dh_gencontrol -- -Vlxcfs:Depends=$(LXCFS_DEPENDS)

clean:
	dh_autoreconf_clean
	dh_clean
